#Called by user with /function command or by clicking uninstall in datapack infos

tellraw @s { "text": "Spawner Pickaxe uninstalling", "color": "red" }

#Clearing storage
data remove storage lordphenex:spawners Spawner

#Clearing scoreboards
scoreboard objectives remove LP_spawners

#Cleaning advancements
advancement revoke @a only lordphenex:global/spawners
advancement revoke @a from lordphenex:spawners/triggers

#Disabling pack
scoreboard objectives add LP_uninstall dummy
execute store success score uninstall_success LP_uninstall run datapack disable "file/Spawner Pickaxe"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/Spawner Pickaxe.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-spawner-pickaxe-1-16-v-1-0.zip"
execute if score uninstall_success LP_uninstall matches 0 store success score uninstall_success LP_uninstall run datapack disable "file/lordphenex-spawner-pickaxe-1-16-v-1-0"
execute if score uninstall_success LP_uninstall matches 0 run tellraw @s ["",{"text":"Unable to uninstall the pack, please check datapack folder name then use following command","color":"red"},{"text":"\n"},{"text":" /datapack disable \"file/<pack_folder_name>\"","color":"aqua"}]
execute if score uninstall_success LP_uninstall matches 1 run tellraw @a [{"text":"- Spawner Pickaxe has been uninstalled","color":"green"}]
scoreboard objectives remove LP_uninstall